{

    "AbilityName": "Prologue_ACT4_RedEye",

    "AbilityStacking": "Unique",

    "DefaultModifier": {

        "OnAdded": [

            {

                "$type": "MoleMole.ApplyModifier",

                "ModifierName": "Prologue_ACT4_RedEyeModifier",

                "Target": "Self",

            },

        ]

    },

    "Modifiers": {

        "Prologue_ACT4_RedEyeModifier": {

            "ModifierStacking": "Unique",

            "Duration": -1,

            "OnAdded": [

                // {

                //     "$type": "MoleMole.LogStringAction", //打Log调试

                //     "LogStr": "Prologue_ACT4_RedEye启动!!!"

                // },

                // {

                //     "$type": "MoleMole.PushRenderVisibleAction",

                //     "Target": "Self",

                //     "Path": "Bangboo_Eous001_Eye_Red",

                //     "Visible": true,

                //     "Tag": "Prologue_ACT4_RedEye"

                // },

                {

                    "$type" : "MoleMole.ModifyMaterialPropertyAction",

                    "Target" : "Self",

                    "Tag" : "Prologue_ACT4_RedEye",

                    "ApplyAllRenderers" : false,

                    "RendererList" :

                    [

                        {

                            "RenderPath" : "Bangboo_Eous001_Eye",

                            "ApplyAllMaterials" : true,

                        },

                    ],

                    "key" : "Bangboo_Eous001_MA_ACT4_RedEye",

                },

                {

                    "$type" : "MoleMole.ModifyMaterialPropertyAction",

                    "Target" : "Self",

                    "Tag" : "Prologue_ACT4_RedEye_Emission",

                    "ApplyAllRenderers" : false,

                    "RendererList" :

                    [

                        {

                            "RenderPath" : "Bangboo_Eous001_Eye",

                            "ApplyAllMaterials" : true,

                        },

                    ],

                    "key" : "Bangboo_Eous001_MA_ACT4_RedEye_Emission",

                },

            ],

        },

    },

}